### Hierarchy

- Discount

## Index

### Properties

- attributeTypes
- cartFieldTypes
- cartPredicate
- createdAt
- customLineItemFieldTypes
- description
- id
- isActive
- lastModifiedAt
- lineItemFieldTypes
- name
- references
- requiresDiscountCode
- sortOrder
- target
- value
- version

## Properties

### attributeTypes

attributeTypes: any

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:42

### cartFieldTypes

cartFieldTypes: any

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:43

### cartPredicate

cartPredicate: string

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:34

### createdAt

createdAt: string

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:46

### customLineItemFieldTypes

customLineItemFieldTypes: any

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:45

### description

description: LocalizedString

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:37

### id

id: string

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:31

### isActive

isActive: boolean

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:38

### lastModifiedAt

lastModifiedAt: string

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:47

### lineItemFieldTypes

lineItemFieldTypes: any

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:44

### name

name: LocalizedString

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:36

### references

references: any[]

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:41

### requiresDiscountCode

requiresDiscountCode: boolean

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:39

### sortOrder

sortOrder: string

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:40

### target

target: Target

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:35

### value

value: DiscountValue

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:33

### version

version: number

- Defined in node_modules/@cxcloud/ct-types/discounts.ts:32

Generated using TypeDoc